> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scheduled Payments for Account

> Obtain scheduled, outgoing payments for a specific account



## OpenAPI

````yaml /openapi/cdr.yml get /v1/banking/customer/{customerId}/accounts/{accountId}/payments/scheduled
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Fiskil Data APIs
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /v1/banking/customer/{customerId}/accounts/{accountId}/payments/scheduled:
    get:
      tags:
        - Banking
        - Scheduled Payments
      summary: Get Scheduled Payments for Account
      description: Obtain scheduled, outgoing payments for a specific account
      operationId: listScheduledPayments
      parameters:
        - $ref: '#/components/parameters/customerId'
        - $ref: '#/components/parameters/accountId'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/page-size'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBankingScheduledPaymentsListV2'
          description: List of scheduled payments for the queried account
        '404':
          $ref: '#/components/responses/responseErrorCustomerIdNotFound'
components:
  parameters:
    customerId:
      description: >-
        Unique ID of a customer. This ID must not change for the lifecycle of
        the customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
    accountId:
      description: ID of a specific account to obtain data for.
      explode: false
      in: path
      name: accountId
      required: true
      schema:
        type: string
      style: simple
    page:
      description: Page of results to request (standard pagination)
      explode: true
      in: query
      name: page
      required: false
      schema:
        type: integer
      style: form
      x-cds-type: PositiveInteger
    page-size:
      description: Page size to request.  Default is 25 (standard pagination)
      explode: true
      in: query
      name: page-size
      required: false
      schema:
        type: integer
      style: form
      x-cds-type: PositiveInteger
  schemas:
    ResponseBankingScheduledPaymentsListV2:
      example:
        data:
          scheduledPayments:
            - scheduledPaymentId: 1490d11d-4647-49d8-8e17-c0d4b343d681
              nickname: Save for beach holiday
              payerReference: Save for beach holiday
              status: ACTIVE
              from:
                accountId: 1e5b693c-d378-43f6-bbd4-dfe3ddc76dc7
              paymentSet:
                to:
                  toUType: accountId
                  accountId: 52fc9fec-7444-4fa6-b6e4-79a03541f759
                  domestic:
                    payeeAccountUType: account
                    account:
                      accountName: Beach Saver
                      bsb: 111222
                      accountNumber: 12345678
                isAmountCalculated: false
                amount: '100.00'
              recurrence:
                nextPaymentDate: '2025-02-21T00:00:00.000Z'
                reccurenceUType: intervalSchedule
                intervalSchedule:
                  intervals:
                    - interval: P1M
        links:
          first: page=1&page-size=25&oldest-date=2023-04-24
          last: page=4&page-size=25&oldest-date=2023-04-24
          next: page=3&page-size=25&oldest-date=2023-04-24
          prev: page=1&page-size=25&oldest-date=2023-04-24
        meta:
          totalRecords: 1
          totalPages: 1
      properties:
        data:
          $ref: '#/components/schemas/ResponseBankingScheduledPaymentsListV2_data'
        links:
          $ref: '#/components/schemas/LinksPaginated'
        meta:
          $ref: '#/components/schemas/MetaPaginated'
      required:
        - data
        - links
        - meta
      type: object
    ResponseBankingScheduledPaymentsListV2_data:
      properties:
        scheduledPayments:
          description: The list of scheduled payments to return
          items:
            $ref: '#/components/schemas/BankingScheduledPaymentV2'
          type: array
      required:
        - scheduledPayments
      type: object
    LinksPaginated:
      description: >-
        URL Query parameters to obtain different pages of the response. Fiskil
        will combine these with the rest of the request URL to build full link
        URLs in the final response.
      example:
        first: page=1&page-size=25&oldest-date=2023-04-24
        last: page=4&page-size=25&oldest-date=2023-04-24
        next: page=3&page-size=25&oldest-date=2023-04-24
        prev: page=1&page-size=25&oldest-date=2023-04-24
      properties:
        first:
          description: >-
            A url-encoded query for the first page of this result set. Mandatory
            if this response is not the first page.
          type: string
        prev:
          description: >-
            A url-encoded query for the previous page. Mandatory if this
            response is not the first page
          type: string
        next:
          description: >-
            A url-encoded query for the next page. Mandatory if this response is
            not the last page.
          type: string
        last:
          description: >-
            A url-encoded query for the last page. Mandatory if this response is
            not the last page.
          type: string
      type: object
    MetaPaginated:
      example:
        totalRecords: 150
        totalPages: 6
      properties:
        totalRecords:
          description: >-
            The total number of records in the full set. See
            [pagination](#pagination).
          type: integer
          x-cds-type: NaturalNumber
        totalPages:
          description: >-
            The total number of pages in the full set. See
            [pagination](#pagination).
          type: integer
          x-cds-type: NaturalNumber
      required:
        - totalPages
        - totalRecords
      type: object
    GenericError:
      example:
        error: An error message
      type: object
      properties:
        error:
          type: string
          description: A message describing what caused the error
      required:
        - error
    BankingScheduledPaymentV2:
      properties:
        scheduledPaymentId:
          description: >-
            A unique ID of the scheduled payment adhering to the standards for
            ID permanence
          type: string
          x-cds-type: ASCIIString
        nickname:
          description: >-
            The short display name of the scheduled payment as provided by the
            customer if provided. Where a customer has not provided a nickname,
            a display name derived by the bank for the scheduled payment should
            be provided that is consistent with existing digital banking
            channels
          type: string
        payerReference:
          description: >-
            The reference for the transaction that will be used by the
            originating institution for the purposes of constructing a statement
            narrative on the payer’s account. Empty string if no data provided
          type: string
        payeeReference:
          description: >-
            The reference for the transaction, if applicable, that will be
            provided by the originating institution for all payments in the
            payment set. Empty string if no data provided
          type: string
        status:
          description: >-
            Indicates whether the schedule is currently active. The value SKIP
            is equivalent to ACTIVE except that the customer has requested the
            next normal occurrence to be skipped.
          enum:
            - ACTIVE
            - INACTIVE
            - SKIP
          type: string
        from:
          $ref: '#/components/schemas/BankingScheduledPaymentFrom'
        paymentSet:
          items:
            $ref: '#/components/schemas/BankingScheduledPaymentSetV2'
          type: array
        recurrence:
          $ref: '#/components/schemas/BankingScheduledPaymentRecurrence'
      required:
        - from
        - payerReference
        - paymentSet
        - recurrence
        - scheduledPaymentId
        - status
      type: object
      x-conditional:
        - payeeReference
    BankingScheduledPaymentFrom:
      description: >-
        Object containing details of the source of the payment. Currently only
        specifies an account ID but provided as an object to facilitate future
        extensibility and consistency with the to object
      properties:
        accountId:
          description: ID of the account that is the source of funds for the payment
          type: string
          x-cds-type: ASCIIString
      required:
        - accountId
      type: object
    BankingScheduledPaymentSetV2:
      description: >-
        The set of payment amounts and destination accounts for this payment
        accommodating multi-part payments. A single entry indicates a simple
        payment with one destination account. Must have at least one entry
      properties:
        to:
          $ref: '#/components/schemas/BankingScheduledPaymentToV2'
        isAmountCalculated:
          description: >-
            Flag indicating whether the amount of the payment is calculated
            based on the context of the event. For instance a payment to reduce
            the balance of a credit card to zero. If absent then false is
            assumed
          type: boolean
          x-cds-type: Boolean
        amount:
          description: >-
            The amount of the next payment if known. Mandatory unless the
            isAmountCalculated field is set to true. Must be zero or positive if
            present
          type: string
          x-cds-type: AmountString
        currency:
          description: The currency for the payment. AUD assumed if not present
          type: string
          x-cds-type: CurrencyString
      required:
        - to
      type: object
      x-conditional:
        - amount
    BankingScheduledPaymentRecurrence:
      description: Object containing the detail of the schedule for the payment
      properties:
        nextPaymentDate:
          description: The date of the next payment under the recurrence schedule
          type: string
          x-cds-type: DateString
        recurrenceUType:
          description: The type of recurrence used to define the schedule
          enum:
            - eventBased
            - intervalSchedule
            - lastWeekDay
            - onceOff
          type: string
        onceOff:
          $ref: '#/components/schemas/BankingScheduledPaymentRecurrenceOnceOff'
        intervalSchedule:
          $ref: >-
            #/components/schemas/BankingScheduledPaymentRecurrenceIntervalSchedule
        lastWeekDay:
          $ref: '#/components/schemas/BankingScheduledPaymentRecurrenceLastWeekday'
        eventBased:
          $ref: '#/components/schemas/BankingScheduledPaymentRecurrenceEventBased'
      required:
        - recurrenceUType
      type: object
      x-conditional:
        - onceOff
        - intervalSchedule
        - lastWeekDay
        - eventBased
    BankingScheduledPaymentToV2:
      description: >-
        Object containing details of the destination of the payment. Used to
        specify a variety of payment destination types
      properties:
        toUType:
          description: >-
            The type of object provided that specifies the destination of the
            funds for the payment.
          enum:
            - accountId
            - biller
            - digitalWallet
            - domestic
            - international
            - payeeId
          type: string
        accountId:
          description: >-
            Present if toUType is set to accountId. Indicates that the payment
            is to another account held by the consumer. Full details of the
            recipient account should also be provided as a **domestic** object.
            Fiskil will return the accountID if the account is accessible in the
            consent. If the account is not accessible in the consent Fiskil will
            return the full account details
          type: string
          x-cds-type: ASCIIString
        payeeId:
          description: >-
            Present if toUType is set to payeeId. Indicates that the payment is
            to a registered payee that can be accessed using the payee end
            point. Full details of the payee should also be provided as a
            **digitalWallet**, **domestic**, **biller** or **international**
            object. Fiskil will return either the payeeId or full details
            depending on the consent scope
          type: string
          x-cds-type: ASCIIString
        nickname:
          description: >-
            The short display name of the payee as provided by the customer
            unless toUType is set to payeeId. Where a customer has not provided
            a nickname, a display name derived by the bank for payee should be
            provided that is consistent with existing digital banking channels
          type: string
        payeeReference:
          description: >-
            The reference for the transaction, if applicable, that will be
            provided by the originating institution for the specific payment. If
            not empty, it overrides the value provided at the
            BankingScheduledPayment level.
          type: string
        digitalWallet:
          $ref: '#/components/schemas/BankingDigitalWalletPayee'
        domestic:
          $ref: '#/components/schemas/BankingDomesticPayee'
        biller:
          $ref: '#/components/schemas/BankingBillerPayee'
        international:
          $ref: '#/components/schemas/BankingInternationalPayee'
      required:
        - toUType
      type: object
      x-conditional:
        - accountId
        - payeeId
        - digitalWallet
        - domestic
        - biller
        - international
        - nickname
        - payeeReference
    BankingScheduledPaymentRecurrenceOnceOff:
      description: >-
        Indicates that the payment is a once off payment on a specific future
        date. Mandatory if recurrenceUType is set to onceOff
      properties:
        paymentDate:
          description: The scheduled date for the once off payment
          type: string
          x-cds-type: DateString
      required:
        - paymentDate
      type: object
    BankingScheduledPaymentRecurrenceIntervalSchedule:
      description: >-
        Indicates that the schedule of payments is defined by a series of
        intervals. Mandatory if recurrenceUType is set to intervalSchedule
      properties:
        finalPaymentDate:
          description: >-
            The limit date after which no more payments should be made using
            this schedule. If both finalPaymentDate and paymentsRemaining are
            present then payments will stop according to the most constraining
            value. If neither field is present the payments will continue
            indefinitely
          type: string
          x-cds-type: DateString
        paymentsRemaining:
          description: >-
            Indicates the number of payments remaining in the schedule. If both
            finalPaymentDate and paymentsRemaining are present then payments
            will stop according to the most constraining value, If neither field
            is present the payments will continue indefinitely
          example: 1
          type: integer
          x-cds-type: PositiveInteger
        nonBusinessDayTreatment:
          default: 'ON'
          description: >-
            Enumerated field giving the treatment where a scheduled payment date
            is not a business day. If absent assumed to be ON.<br/>**AFTER** -
            If a scheduled payment date is a non-business day the payment will
            be made on the first business day after the scheduled payment
            date.<br/>**BEFORE** - If a scheduled payment date is a non-business
            day the payment will be made on the first business day before the
            scheduled payment date.<br/>**ON** - If a scheduled payment date is
            a non-business day the payment will be made on that day
            regardless.<br/>**ONLY** - Payments only occur on business days. If
            a scheduled payment date is a non-business day the payment will be
            ignored
          enum:
            - AFTER
            - BEFORE
            - 'ON'
            - ONLY
          type: string
        intervals:
          description: >-
            An array of interval objects defining the payment schedule.  Each
            entry in the array is additive, in that it adds payments to the
            overall payment schedule.  If multiple intervals result in a payment
            on the same day then only one payment will be made. Must have at
            least one entry
          items:
            $ref: '#/components/schemas/BankingScheduledPaymentInterval'
          type: array
      required:
        - intervals
      type: object
    BankingScheduledPaymentRecurrenceLastWeekday:
      description: >-
        Indicates that the schedule of payments is defined according to the last
        occurrence of a specific weekday in an interval. Mandatory if
        recurrenceUType is set to lastWeekDay
      properties:
        finalPaymentDate:
          description: >-
            The limit date after which no more payments should be made using
            this schedule. If both finalPaymentDate and paymentsRemaining are
            present then payments will stop according to the most constraining
            value. If neither field is present the payments will continue
            indefinitely
          type: string
          x-cds-type: DateString
        paymentsRemaining:
          description: >-
            Indicates the number of payments remaining in the schedule. If both
            finalPaymentDate and paymentsRemaining are present then payments
            will stop according to the most constraining value. If neither field
            is present the payments will continue indefinitely
          example: 1
          type: integer
          x-cds-type: PositiveInteger
        interval:
          description: >-
            The interval for the payment. Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax) with components less than a day in
            length ignored. This duration defines the period between payments
            starting with nextPaymentDate
          type: string
          x-cds-type: ExternalRef
        lastWeekDay:
          description: >-
            The weekDay specified. The payment will occur on the last occurrence
            of this weekday in the interval.
          enum:
            - FRI
            - MON
            - SAT
            - SUN
            - THU
            - TUE
            - WED
          type: string
        nonBusinessDayTreatment:
          default: 'ON'
          description: >-
            Enumerated field giving the treatment where a scheduled payment date
            is not a business day. If absent assumed to be ON.<br/>**AFTER** -
            If a scheduled payment date is a non-business day the payment will
            be made on the first business day after the scheduled payment
            date.<br/>**BEFORE** - If a scheduled payment date is a non-business
            day the payment will be made on the first business day before the
            scheduled payment date.<br/>**ON** - If a scheduled payment date is
            a non-business day the payment will be made on that day
            regardless.<br/>**ONLY** - Payments only occur on business days. If
            a scheduled payment date is a non-business day the payment will be
            ignored
          enum:
            - AFTER
            - BEFORE
            - 'ON'
            - ONLY
          type: string
      required:
        - interval
        - lastWeekDay
      type: object
    BankingScheduledPaymentRecurrenceEventBased:
      description: >-
        Indicates that the schedule of payments is defined according to an
        external event that cannot be predetermined. Mandatory if
        recurrenceUType is set to eventBased
      properties:
        description:
          description: >-
            Description of the event and conditions that will result in the
            payment. Expected to be formatted for display to a customer
          type: string
      required:
        - description
      type: object
    BankingDigitalWalletPayee:
      properties:
        name:
          description: >-
            The display name of the wallet as given by the customer, else a
            default value defined by the data holder
          type: string
        identifier:
          description: The identifier of the digital wallet (dependent on type)
          type: string
        type:
          description: The type of the digital wallet identifier
          enum:
            - EMAIL
            - CONTACT_NAME
            - TELEPHONE
          type: string
        provider:
          description: The provider of the digital wallet
          enum:
            - PAYPAL_AU
            - OTHER
          type: string
      required:
        - identifier
        - name
        - provider
        - type
      type: object
    BankingDomesticPayee:
      properties:
        payeeAccountUType:
          description: >-
            Type of account object included. Valid values are: **account** A
            standard Australian account defined by BSB/Account Number. **card**
            A credit or charge card to pay to (note that PANs are masked).
            **payId** A PayID recognised by NPP
          enum:
            - account
            - card
            - payId
          type: string
        account:
          $ref: '#/components/schemas/BankingDomesticPayeeAccount'
        card:
          $ref: '#/components/schemas/BankingDomesticPayeeCard'
        payId:
          $ref: '#/components/schemas/BankingDomesticPayeePayId'
      required:
        - payeeAccountUType
      type: object
      x-conditional:
        - account
        - card
        - payId
    BankingBillerPayee:
      properties:
        billerCode:
          description: BPAY Biller Code of the Biller
          type: string
        crn:
          description: >-
            BPAY CRN of the Biller (if available).<br/>Where the CRN contains
            sensitive information, it should be masked in line with how the Data
            Holder currently displays account identifiers in their existing
            online banking channels. If the contents of the CRN match the format
            of a Credit Card PAN they should be masked according to the rules
            applicable for MaskedPANString. If the contents are otherwise
            sensitive, then it should be masked using the rules applicable for
            the MaskedAccountString common type.
          type: string
        billerName:
          description: Name of the Biller
          type: string
      required:
        - billerCode
        - billerName
      type: object
      x-conditional:
        - crn
    BankingInternationalPayee:
      properties:
        beneficiaryDetails:
          $ref: '#/components/schemas/BankingInternationalPayee_beneficiaryDetails'
        bankDetails:
          $ref: '#/components/schemas/BankingInternationalPayee_bankDetails'
      required:
        - bankDetails
        - beneficiaryDetails
      type: object
    BankingScheduledPaymentInterval:
      properties:
        interval:
          description: >-
            An interval for the payment. Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations) 
            (excludes recurrence syntax) with components less than a day in
            length ignored. This duration defines the period between payments
            starting with nextPaymentDate
          type: string
          x-cds-type: ExternalRef
        dayInInterval:
          description: >-
            Uses an interval to define the ordinal day within the interval
            defined by the interval field on which the payment occurs. If the
            resulting duration is 0 days in length or larger than the number of
            days in the interval then the payment will occur on the last day of
            the interval. A duration of 1 day indicates the first day of the
            interval. If absent the assumed value is P1D. Formatted according to
            [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax) with components less than a day in
            length ignored. The first day of a week is considered to be Monday.
          type: string
          x-cds-type: ExternalRef
      required:
        - interval
      type: object
    BankingDomesticPayeeAccount:
      properties:
        accountName:
          description: Name of the account to pay to
          type: string
        bsb:
          description: BSB of the account to pay to
          type: string
        accountNumber:
          description: Number of the account to pay to
          type: string
      required:
        - accountNumber
        - bsb
      type: object
    BankingDomesticPayeeCard:
      properties:
        cardNumber:
          description: Name of the account to pay to
          type: string
          x-cds-type: MaskedPANString
      required:
        - cardNumber
      type: object
    BankingDomesticPayeePayId:
      properties:
        name:
          description: The name assigned to the PayID by the owner of the PayID
          type: string
        identifier:
          description: The identifier of the PayID (dependent on type)
          type: string
        type:
          description: The type of the PayID
          enum:
            - ABN
            - EMAIL
            - ORG_IDENTIFIER
            - TELEPHONE
          type: string
      required:
        - identifier
        - type
      type: object
    BankingInternationalPayee_beneficiaryDetails:
      properties:
        name:
          description: Name of the beneficiary
          type: string
        country:
          description: >-
            Country where the beneficiary resides. A valid [ISO 3166
            Alpha-3](https://www.iso.org/iso-3166-country-codes.html) country
            code
          type: string
          x-cds-type: ExternalRef
        message:
          description: Response message for the payment
          type: string
      required:
        - country
      type: object
    BankingInternationalPayee_bankDetails:
      properties:
        country:
          description: >-
            Country of the recipient institution. A valid [ISO 3166
            Alpha-3](https://www.iso.org/iso-3166-country-codes.html) country
            code
          type: string
          x-cds-type: ExternalRef
        accountNumber:
          description: Account Targeted for payment
          type: string
        bankAddress:
          $ref: >-
            #/components/schemas/BankingInternationalPayee_bankDetails_bankAddress
        beneficiaryBankBIC:
          description: >-
            Swift bank code.  Aligns with standard [ISO
            9362](https://www.iso.org/standard/60390.html)
          type: string
          x-cds-type: ExternalRef
        fedWireNumber:
          description: Number for Fedwire payment (Federal Reserve Wire Network)
          type: string
        sortCode:
          description: Sort code used for account identification in some jurisdictions
          type: string
        chipNumber:
          description: Number for the Clearing House Interbank Payments System
          type: string
        routingNumber:
          description: International bank routing number
          type: string
        legalEntityIdentifier:
          description: >-
            The legal entity identifier (LEI) for the beneficiary.  Aligns with
            [ISO 17442](https://www.iso.org/standard/59771.html)
          type: string
          x-cds-type: ExternalRef
      required:
        - accountNumber
        - country
      type: object
    BankingInternationalPayee_bankDetails_bankAddress:
      properties:
        name:
          description: Name of the recipient Bank
          type: string
        address:
          description: Address of the recipient Bank
          type: string
      required:
        - address
        - name
      type: object
  responses:
    responseErrorCustomerIdNotFound:
      description: The customer ID in the URL path is invalid or not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericError'
            example:
              error: Customer not found
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/docs/get-started/authentication) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````